/*******************************************************************\
  
  The ESPAM Software Tool 
  Copyright (c) 2004-2008 Leiden University (LERC group at LIACS).
  All rights reserved.
  
  The use and distribution terms for this software are covered by the 
  Common Public License 1.0 (http://opensource.org/licenses/cpl1.0.txt)
  which can be found in the file LICENSE at the root of this distribution.
  By using this software in any fashion, you are agreeing to be bound by 
  the terms of this license.
  
  You must not remove this notice, or any other, from this software.
  
  \*******************************************************************/
      
      /* Generated By:JJTree&JavaCC: Do not edit this line. ParserConstants.java */
      package espam.parser.matlab.scheduler;
          
          public interface ParserConstants {
          
              int EOF = 0;
                  int ELSE = 1;
                      int END = 2;
                          int FOR = 3;
                              int IF = 4;
                                  int DIV = 5;
                                      int MOD = 6;
                                          int FLOOR = 7;
                                              int CEIL = 8;
                                                  int EQUAL = 9;
                                                      int MIN = 10;
                                                          int MAX = 11;
                                                              int IPD = 12;
                                                                  int OPD = 13;
                                                                      int DEFFUNCTION = 14;
                                                                          int DEFINITIONTYPE = 15;
                                                                              int DEFPARAMETER = 16;
                                                                                  int EXP = 17;
                                                                                      int MUL = 18;
                                                                                          int FRACTION = 19;
                                                                                              int ADD = 20;
                                                                                                  int SUB = 21;
                                                                                                      int CONCAT = 22;
                                                                                                          int EQ = 23;
                                                                                                              int NEQ = 24;
                                                                                                                  int GE = 25;
                                                                                                                      int LE = 26;
                                                                                                                          int GT = 27;
                                                                                                                              int LO = 28;
                                                                                                                                  int LEFTBRACKET = 29;
                                                                                                                                      int RIGHTBRACKET = 30;
                                                                                                                                          int SEMICOLON = 31;
                                                                                                                                              int COLON = 32;
                                                                                                                                                  int MATLABBEGIN = 33;
                                                                                                                                                      int MATLAB_COMMENT = 41;
                                                                                                                                                          int INTEGER_LITERAL = 43;
                                                                                                                                                              int DECIMAL_LITERAL = 44;
                                                                                                                                                                  int HEX_LITERAL = 45;
                                                                                                                                                                      int OCTAL_LITERAL = 46;
                                                                                                                                                                          int IDENTIFIER = 47;
                                                                                                                                                                              int LETTER = 48;
                                                                                                                                                                                  int DIGIT = 49;
                                                                                                                                                                                      
                                                                                                                                                                                      int DEFAULT = 0;
                                                                                                                                                                                          int IN_MATLAB_COMMENT = 1;
                                                                                                                                                                                              
                                                                                                                                                                                              String[] tokenImage = {
                                                                                                                                                                                              "<EOF>",
                                                                                                                                                                                              "\"else\"",
                                                                                                                                                                                              "\"end\"",
                                                                                                                                                                                              "\"for\"",
                                                                                                                                                                                              "\"if\"",
                                                                                                                                                                                              "\"div\"",
                                                                                                                                                                                              "\"mod\"",
                                                                                                                                                                                              "\"floor\"",
                                                                                                                                                                                              "\"ceil\"",
                                                                                                                                                                                              "\"equal\"",
                                                                                                                                                                                              "\"min\"",
                                                                                                                                                                                              "\"max\"",
                                                                                                                                                                                              "\"ipd\"",
                                                                                                                                                                                              "\"opd\"",
                                                                                                                                                                                              "\"%function\"",
                                                                                                                                                                                              "\"%typedef\"",
                                                                                                                                                                                              "\"%parameter\"",
                                                                                                                                                                                              "\"**\"",
                                                                                                                                                                                              "\"*\"",
                                                                                                                                                                                              "\"/\"",
                                                                                                                                                                                              "\"+\"",
                                                                                                                                                                                              "\"-\"",
                                                                                                                                                                                              "\"&\"",
                                                                                                                                                                                              "\"=\"",
                                                                                                                                                                                              "\"!=\"",
                                                                                                                                                                                              "\">=\"",
                                                                                                                                                                                              "\"<=\"",
                                                                                                                                                                                              "\">\"",
                                                                                                                                                                                              "\"<\"",
                                                                                                                                                                                              "\"[\"",
                                                                                                                                                                                              "\"]\"",
                                                                                                                                                                                              "\";\"",
                                                                                                                                                                                              "\":\"",
                                                                                                                                                                                              "\"%matlab\"",
                                                                                                                                                                                              "\" \"",
                                                                                                                                                                                              "\"\\t\"",
                                                                                                                                                                                              "\"\\n\"",
                                                                                                                                                                                              "\"\\r\"",
                                                                                                                                                                                              "<token of kind 38>",
                                                                                                                                                                                              "<token of kind 39>",
                                                                                                                                                                                              "<token of kind 40>",
                                                                                                                                                                                              "\"%end\"",
                                                                                                                                                                                              "<token of kind 42>",
                                                                                                                                                                                              "<INTEGER_LITERAL>",
                                                                                                                                                                                              "<DECIMAL_LITERAL>",
                                                                                                                                                                                              "<HEX_LITERAL>",
                                                                                                                                                                                              "<OCTAL_LITERAL>",
                                                                                                                                                                                              "<IDENTIFIER>",
                                                                                                                                                                                              "<LETTER>",
                                                                                                                                                                                              "<DIGIT>",
                                                                                                                                                                                              "\",\"",
                                                                                                                                                                                              "\"(\"",
                                                                                                                                                                                              "\")\"",
                                                                                                                                                                                          };
                                                                                                                                                                                              
      }
